---
title: "Delete a Generic CRM integration"
slug: "delete-a-generic-crm-integration-v2crmintegrations-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Generic CRM integration (/v2/crm/integrations)

Delete/v2/crm/integrations<style>.public-api-info {    background: rgb(222, 235, 255);}.public-api-tip {    background: rgb(227, 252, 239);}.public-api-parameter {    background: rgba(9,30,66,0.08);}.public-api-note {    background: rgb(234, 230, 255);}.public-api-important {    background: rgb(255, 250, 230);}.public-api-critical {    background: rgb(255, 235, 230);}table, th, td {  border: 1px solid gray;  border-collapse: collapse;}th, td {  padding: 5px;}th {  text-align: left;}img {  border: 2px solid #D3D5D9;}</style>

Asynchronously deletes a CRM integration and all its associated CRM objects (Accounts, Contacts, Deals, Leads, and Users).

This endpoint gets the clientRequestId generated by you as the request identifier. Use this to check the status of the delete request by calling the `/request-status` endpoint,with the clientRequestId.

A status of DONE indicates that the integration and all its associated crm objects have been successfully deleted. This may take up to 24 hours to be deleted.

  
Required authorization scope: 'api:crm:integration:delete'.

## Example

`DELETE https://api.gong.io/v2/crm/integrations?clientRequestId=1234&integrationId=6286478263646`

Query parametersintegrationIdinteger (int64) Required

The ID of the integration to delete

clientRequestIdstringRequired

A unique identifier generated and sent by you to allow troubleshooting. Valid characters are letters, numbers, dashes and underscores.

Responses201

Successfully registered the delete integration request

<select class='api-response-data' aria-label='Media type'><option value='82d2c54c-0058-4862-8fb3-511fdf9b921d'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
clientRequestIdstring    

The clientRequestId sent in the request - used to monitor the request process

ExampleclientRequest1

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='b0e34ff2-e89c-4422-9e29-6a8c0575e012'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='5d7108a2-4395-4d7b-aeca-e07586e62ef0'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

409

Client request id has already been used

<select class='api-response-data' aria-label='Media type'><option value='3884c8d7-7550-494b-8251-9506120f2114'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='7ee08ead-10f5-47a0-91f5-713b75ee157b'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
